Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » Missing dependency after updating target platform to 2019 06 release
Missing dependency after updating target platform to 2019 06 release [message #1808450] Mon, 24 June 2019 20:26 Go to next message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 982
Registered: January 2014
Senior Member
After updating our target platform file of the Eclipse 4diac IDE to the new Eclipse 2019-06 release I get the following error message when running the Eclipse tycho build:

[ERROR] Cannot resolve project dependencies:
[ERROR]   You requested to install 'org.eclipse.equinox.p2.iu; org.eclipse.ecf.filetransfer.httpclient4.feature.group 0.0.0' but it could not be found


I'm used to getting different errors when updating the target platform. However this time I'm completly stuck. Any tips and help would be warmly welcome. Please find below also the target platform I'm working with.

Thanks in advance,
Alois

<target name="4diac-ide Target" sequenceNumber="20">
	<locations>
    	<location includeAllPlatforms="false" includeConfigurePhase="true" includeMode="planner" includeSource="true" type="InstallableUnit">
        	<unit id="org.eclipse.emf.sdk.feature.group" version="2.18.0.v20190528-0845"/>
        	<unit id="org.eclipse.gef.sdk.feature.group" version="3.11.0.201606061308"/>
        	<unit id="org.eclipse.xtext.sdk.feature.group" version="2.18.0.v20190528-0716"/>
        	<unit id="org.eclipse.epp.logging.aeri.feature.feature.group" version="2.0.7.v20180504-0806"/>
        	<unit id="org.eclipse.equinox.executable.feature.group" version="0.0.0"/>
        	<repository location="http://download.eclipse.org/releases/2019-06"/>
    	</location>
    	<location includeAllPlatforms="false" includeConfigurePhase="true" includeMode="planner" includeSource="true" type="InstallableUnit">
        	<unit id="org.eclipse.jdt.feature.group" version="3.18.0.v20190605-1800"/>
        	<unit id="org.eclipse.pde.feature.group" version="3.14.0.v20190605-1800"/>
        	<unit id="org.eclipse.platform.sdk" version="4.12.0.I20190605-1800"/>
        	<repository location="http://download.eclipse.org/eclipse/updates/4.12"/>
    	</location>
	</locations>
</target>
Re: Missing dependency after updating target platform to 2019 06 release [message #1808452 is a reply to message #1808450] Mon, 24 June 2019 21:31 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 31032
Registered: July 2009
Senior Member
Version 4 of filetransfer is not shipped/available as part of the 4.13 version of the Eclipse platform. Only version 5 is shipped/available.
Re: Missing dependency after updating target platform to 2019 06 release [message #1808500 is a reply to message #1808452] Tue, 25 June 2019 20:48 Go to previous message
Alois Zoitl is currently offline Alois ZoitlFriend
Messages: 982
Registered: January 2014
Senior Member
Thanks that helped me to dig deeper. There where some old strange dependencies in our product file. Sometimes target platform updates help to clean that up to ;-)
Previous Topic:Would like to fix bug in Compare editor
Next Topic:Upgrading eclipse from 3.5 to 4.8 for eclipse based application
Goto Forum:
  


Current Time: Sun Apr 05 23:54:21 GMT 2020

Powered by FUDForum. Page generated in 0.01573 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top